﻿<Window x:Class="WpfApp1.MVVM.View.AddCostView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:WpfApp1.MVVM.View"
        xmlns:viewmodel="clr-namespace:WpfApp1.MVVM.ViewModel" 
        mc:Ignorable="d"
        ResizeMode="NoResize" Background="#39A87D" 
        Title="Добавление нового расхода" Height="200" Width="400"
        WindowStartupLocation="CenterScreen" Loaded="Window_Loaded">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition></ColumnDefinition>
            <ColumnDefinition></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="40"></RowDefinition>
            <RowDefinition Height="40"></RowDefinition>
            <RowDefinition Height="40"></RowDefinition>
            <RowDefinition Height="40"></RowDefinition>
        </Grid.RowDefinitions>

        <ComboBox x:Name="cbCategories" Grid.ColumnSpan="2" Height="20" Margin="10" Foreground="#353535"
                  ItemsSource="{Binding Handler}">
        </ComboBox>
        <Label Grid.Row="2" Grid.Column="0" Content="Комментарий" Margin="10 5 10 5" Foreground="White"></Label>
        <TextBox x:Name="tbComment" Grid.Row="2" Grid.Column="1" Margin="10"></TextBox>
        <Label Grid.Row="1" Grid.Column="0" Content="Цена" Margin="10 5 10 5" Foreground="White"></Label>
        <TextBox x:Name="tbCost" Grid.Row="1" Grid.Column="1" Margin="10" PreviewTextInput="tbCost_PreviewTextInput"></TextBox>
        <DatePicker x:Name="date" Grid.Row="3" VerticalAlignment="Center" Margin="10 0 10 0"
                    SelectedDateFormat="Short" ></DatePicker>
        <Button x:Name="button" Grid.Row="3" Grid.Column="1" Grid.ColumnSpan="2" Margin="10" Content="Добавить" Click="Button_Click"></Button>
    </Grid>
</Window>
